const Command = require('../../Structures/Command');
const { MessageEmbed } = require('discord.js');
const ms = require('ms');

module.exports = class extends Command {

	constructor(...args) {
		super(...args, {
			aliases: ['timeup'],
			description: 'Show how long the bot has been on.',
			category: 'Utility'
		});
	}

	// eslint-disable-next-line no-unused-vars
	async run(message, args) {
		message.delete();

		const uptimeEmbed = new MessageEmbed()
			.addField(`My uptime:`, `${ms(this.client.uptime, { long: true })}`)
			.setTimestamp()
			// Removal of the copyright below is a violation of the bot's licence!
			.setFooter(`Requested by ${message.author.username} | ©2020 - 2021 Agent Squad Productions`);

		message.channel.send(uptimeEmbed);
	}

};
