const Event = require('../../Structures/Event');
const config = require('../../../config.json');
// eslint-disable-next-line no-unused-vars

module.exports = class extends Event {

	constructor(...args) {
		super(...args, {
			once: true
		});
	}

	// eslint-disable-next-line consistent-return
	async run() {
		console.log([
			`Bot Started`,
			`Logged in as ${this.client.user.tag}`,
			`Loaded ${this.client.commands.size} commands!`,
			`Loaded ${this.client.events.size} events!`
		].join('\n'));

		const activities = config.bot_setup.bot_game;

		let i = 0;
		setInterval(() => this.client.user.setActivity(`${activities[i++ % activities.length]}`, { type: config.bot_setup.bot_game_type }), 10000);
		this.client.user.setStatus(config.bot_setup.bot_status);
	}

};
